/*!
	StringTypes.h

	文字列関係の定義
	ここに宣言されているインタフェースは、今後変更されない。
*/
#pragma once
#include "types/UTF8Types.h"

/*!
	文字列インタフェース
*/
typedef IUTF8String IString;
typedef IString* IStringPtr;


/*!
	文字列配列インタフェース
*/
class IStringArray
{
public:
	//!	初期化
	virtual void Clear() = 0;

	//!	サイズ設定
	virtual void SetSize(int size) = 0;

	//!	サイズ取得
	virtual int GetSize() = 0;

	//!	文字列を追加
	virtual void AddString(LPCU8STR str) = 0;

	//!	保持している文字列を取得
	virtual LPCU8STR GetString(int index) = 0;

	//!	保持している文字列を設定
	virtual void SetString(int index, LPCU8STR str) = 0;
};
//!	ポインタ型
typedef IStringArray*	IStringArrayPtr;


